Cyberduck Mountain Duck CLI

#7185 closed defect (fixed)

Calling terminal.app with spaces in file ou directory names

Reported by: david gotchac Owned by: dkocher
Priority: normal Milestone: 4.4
Component: sftp Version: 4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Cyberduck launch a command like :

ssh -t  username@servername -p 22 "cd /home/user/My directory with spaces && exec \$SHELL"

The correct command should be

ssh -t  username@servername -p 22 "cd /home/user/My\ directory\ with\ spaces && exec \$SHELL"

spaces have to be prefixed with backslash

Change History (3)

comment:1 Changed on Apr 29, 2013 at 2:35:52 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Jul 31, 2013 at 7:26:45 PM by dkocher

  • Milestone set to 4.4
  • Status changed from new to assigned

comment:3 Changed on Aug 18, 2013 at 11:37:28 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r12525.

Note: See TracTickets for help on using tickets.
swiss made software